Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps.dsc.events
Interface DSCComment

All Superinterfaces:
  DSCEvent, DSCParserConstants

All Known Implementing Classes:
  AbstractDSCComment, AbstractResourceDSCComment, AbstractResourcesDSCComment, DSCAtend, DSCCommentBeginDocument, DSCCommentBeginResource, DSCCommentBoundingBox, DSCCommentDocumentNeededResources, DSCCommentDocumentSuppliedResources, DSCCommentEndComments, DSCCommentEndOfFile, DSCCommentHiResBoundingBox, DSCCommentIncludeResource, DSCCommentLanguageLevel, DSCCommentPage, DSCCommentPageBoundingBox, DSCCommentPageHiResBoundingBox, DSCCommentPageResources, DSCCommentPages, DSCCommentTitle, UnparsedDSCComment

    public interface DSCComment

extends DSCEvent

Base interface for all DSC comments.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants
`COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

Method Summary
`void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
`java.lang.String` | `getName()` Returns the name of the DSC comment.
`boolean` | `hasValues()` Indicates whether this DSC comment has values.
`boolean` | `isAtend()` Indicates whether the DSC comment's value is "Atend".
`void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.

Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent
`asDSCComment, asLine, getEventType, isComment, isDSCComment, isHeaderComment, isLine`

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the DSC comment.

  Returns:
    the name of the DSC comment (without the "%%" prefix)

### parseValue

    void parseValue(java.lang.String value)

  Parses the value of the DSC comment.

  Parameters:
    `value` - the value

### hasValues

    boolean hasValues()

  Indicates whether this DSC comment has values.

  Returns:
    true if the DSC comment has values

### isAtend

    boolean isAtend()

  Indicates whether the DSC comment's value is "Atend".

  Returns:
    true if the value is "Atend"

### generate

    void generate(PSGenerator gen)
                  throws java.io.IOException

  Description copied from interface: `DSCEvent`
  Writes the event to the given PSGenerator.

  Specified by:
    `generate` in interface `DSCEvent`
  Parameters:
    `gen` - the PSGenerator to write to
  Throws:
    `java.io.IOException` - In case of an I/O error
  See Also:
    `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.